<template>
    <div class="col-md-6">
        <div class="card-deck">
            <div class="card mb-5">
                <router-link :to="'/blog/' + blog.id">
                    <img :src="blog.photo ? apiDomain + blog.photo : 'https://randomuser.me/api/portraits/men/81.jpg'" class="card-img-top rounded-lg" alt="photo" height="300px">
                </router-link>  
                <div class="card-body">
                    <h3 class="card-title">{{ blog.title}}</h3>
                    <h5 class="text-muted">{{ blog.updated_at}}</h5>
                    <p class="card-text" style="text-align:left; margin-top: 30px;">
                        {{ blog.description}}
                    </p>
                </div>                                      
            </div>          
        </div>
    </div>    
</template>

<script>
// import axios from 'axios'
export default {
    name: 'Card',
    data: () => ({
        apiDomain: 'https://demo-api-vue.sanbercloud.com',
     }),
    props : ['blog'],
}
</script>

<style scoped>
    .card {
        border:1px solid #5aa897;
    }
</style>